Page MenuHomePhabricator

Archive wikibase-vuejs-components library repository
Closed, ResolvedPublic

Description

When building bridge and termbox, we extracted three shard components into a shared repository
https://gerrit.wikimedia.org/r/admin/repos/wikibase%2Fvuejs-components . However, in the vue 3 migration in Nov/Dec 2021, we moved these components back to their respective repositories to upgrade them there. This small library was since superseeded by Wikit and now Codex and should be removed/archived.

acceptance criteria:


Reason
[your rationale]

To-do list

  • This task
    • Add maintainers of that library as subscribers to this task (if they have no apparent Phabricator account, notify them on-wiki or via email if possible and note it here).
    • Add Phabricator project <#wdwb-tech> as a tag for this task
  • Phabricator
    • Mark all Phabricator tasks for the library either Declined or Invalid. Add a comment pointing to this task when doing so for reference.
  • Configuration/tests/integrations/etc.
  • Repositories

Event Timeline

(For future reference, please use the template linked from Projects-Cleanup)

Jdforrester-WMF renamed this task from Archive wikibase-vuejs-components repository to Archive wikibase-vuejs-components library repository.Wed, Aug 3, 1:56 PM
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF updated the task description. (Show Details)

Change 820138 had a related patch set uploaded (by Jforrester; author: Jforrester):

[wikibase/vuejs-components@master] Empty repo

https://gerrit.wikimedia.org/r/820138

Change 820140 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] Zuul: [wikimedia/vuejs-components] Mark as archived

https://gerrit.wikimedia.org/r/820140

Change 820141 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] jjb: Drop (trigger-)?wikibase-vuejs-components-pipeline-test, unused

https://gerrit.wikimedia.org/r/820141

Change 820140 merged by jenkins-bot:

[integration/config@master] Zuul: [wikimedia/vuejs-components] Mark as archived

https://gerrit.wikimedia.org/r/820140

Mentioned in SAL (#wikimedia-releng) [2022-08-03T14:11:35Z] <James_F> Zuul: [wikimedia/vuejs-components] Mark as archived for T309872

Jdforrester-WMF updated the task description. (Show Details)

Someone in the Wikibase group will have to force-merge my clear-out patch before the rest of the repo bits can be done. Not sure if there are any tasks?

Change 820141 merged by jenkins-bot:

[integration/config@master] jjb: Drop (trigger-)?wikibase-vuejs-components-pipeline-test, unused

https://gerrit.wikimedia.org/r/820141

Change 820138 merged by Legoktm:

[wikibase/vuejs-components@master] Empty repo

https://gerrit.wikimedia.org/r/820138

OK, this is now done from the gerrit/etc. side. If you think all Phabricator tasks are closed, we can call this Resolved.

Change 821250 had a related patch set uploaded (by Michael Große; author: Michael Große):

[integration/docroot@master] Drop archived wikibase-vuejs-components storybook

https://gerrit.wikimedia.org/r/821250

OK, this is now done from the gerrit/etc. side. If you think all Phabricator tasks are closed, we can call this Resolved.

Thanks! I'll have a look on what open tasks I can still find.

The storybook still existed on doc.wikimedia.org. The change above removes the link. How do we clean up the actual storybook files from https://doc.wikimedia.org/wikibase-vuejs-components/?

Mentioned in SAL (#wikimedia-releng) [2022-08-08T14:43:01Z] <James_F> jforrester@doc1002:~$ sudo -u doc-uploader rm -rf /srv/doc/wikibase-vuejs-components/ for T309872

Change 821268 had a related patch set uploaded (by Michael Große; author: Michael Große):

[mediawiki/extensions/Wikibase@master] bridge: add stories for wikibase-vuejs-components

https://gerrit.wikimedia.org/r/821268

OK, this is now done from the gerrit/etc. side. If you think all Phabricator tasks are closed, we can call this Resolved.

I looked through all the open tasks mentioning "wikibase-vuejs-components" and adjusted them as needed and so consider that item checked. (With the notable exception that I'm really confused why T160806 shows up in this query: https://phabricator.wikimedia.org/maniphest/query/uXW4IAOgo5Py/ )

I think we can resolve this after 821250: Drop archived wikibase-vuejs-components storybook is merged. No need to wait for the Wikibase patch. I'll put that on our review board.

Change 821250 merged by jenkins-bot:

[integration/docroot@master] Drop archived wikibase-vuejs-components storybook

https://gerrit.wikimedia.org/r/821250

Michael updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2022-08-16T06:58:03Z] <hashar@deploy1002> Started deploy [integration/docroot@c142ba7]: Drop archived wikibase-vuejs-components storybook - T309872

Mentioned in SAL (#wikimedia-operations) [2022-08-16T06:58:14Z] <hashar@deploy1002> Finished deploy [integration/docroot@c142ba7]: Drop archived wikibase-vuejs-components storybook - T309872 (duration: 00m 10s)